<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_mysql',null,'index.php?'.SID);
adm_check();

if (isset($_GET['user']) && is_numeric($_GET['user']) && $_GET['user']!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['user'])."'"),0)!=0)
{
$ank = get_user(intval($_GET['user']));

if (isset($_GET['inbox']) || isset($_GET['outbox']))
{
if (isset($_GET['inbox']))
{
$title_box = 'Входящие сообщения';
$box = 'inbox';
$boxes = 'boxInbox';
$uid = 'uidRecipient';
$uid2 = 'uidSender';
}
elseif (isset($_GET['outbox']))
{
$title_box = 'Исходящие сообщения';
$box = 'outbox';
$boxes = 'boxOutbox';
$uid = 'uidSender';
$uid2 = 'uidRecipient';
}
$set['title']='Почтовый шпион - '.$ank['nick'].' - '.$title_box;
include_once '../sys/inc/thead.php';
title();

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `ls_mails` WHERE `$uid` = '$ank[id]' AND `$boxes` = '1'"),0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $page*$set['p_str']-$set['p_str'];

echo '<table class="post">';

if ($k_post == 0)
{

echo '<tr><td class="p_t">';
echo 'Сообщений нет';
echo '</td></tr>';

}
else
{

$q = mysql_query("SELECT * FROM `ls_mails` WHERE `$uid` = '$ank[id]' AND `$boxes` = '1' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank2 = get_user($post[$uid2]);

if ($box == 'inbox')
{
$anks1 = $ank2;
$anks2 = $ank;
}
else
{
$anks1 = $ank;
$anks2 = $ank2;
}


echo '<tr>';

echo '<td class="icon14">';
echo '<img src="/style/'.(is_file(H.'style/themes/'.$set['set_them'].'/icons/mess0.png')?'themes/'.$set['set_them']:null).'/icons/mess'.($post['read']=='0'?'_fav':'0').'.png"/>';
echo '</td>';

echo '<td class="p_t">';
echo '<a href="mailspy.php?user='.$anks1['id'].'">'.$anks1['nick'].'</a> &raquo; <a href="mailspy.php?user='.$anks2['id'].'">'.$anks2['nick'].'</a> ('.vremja($post['time']).') ('.($post['read']=='0'?'не прочитано':'прочитано: '.vremja($post['time_read'])).')';

echo '</td><tr>';

echo '<tr>';
echo '<td class="p_m" colspan="2">';
echo output_text($post['msg']);

echo '<br/>';

echo '[<a href="mailspy.php?mail='.$post['id'].'&amp;change">Изменить</a>] | ';
echo '[<a href="mailspy.php?mail='.$post['id'].'&amp;del">Удалить</a>]';

echo '</td><tr/>';

}

}

echo '</table>';

if ($k_page>1)str('mailspy.php?user='.$ank['id'].'&amp;'.$box.'&amp;', $k_page, $page);

}
else
{
$set['title']='Почтовый шпион - '.$ank['nick'];
include_once '../sys/inc/thead.php';
title();

echo '<div class="main_menu">';
echo '<a href="mailspy.php?user='.$ank['id'].'&amp;inbox">Входящие сообщения</a> ('.mysql_result(mysql_query("SELECT COUNT(*) FROM `ls_mails` WHERE `uidRecipient` = '$ank[id]' AND `boxInbox` = '1'"),0).')<br/>';

echo '<a href="mailspy.php?user='.$ank['id'].'&amp;outbox">Исходящие сообщения</a> ('.mysql_result(mysql_query("SELECT COUNT(*) FROM `ls_mails` WHERE `uidSender` = '$ank[id]' AND `boxOutbox` = '1'"),0).')';

}
}
elseif (isset($_GET['mail']) && is_numeric($_GET['mail']) && $_GET['mail']!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `ls_mails` WHERE `id` = '".intval($_GET['mail'])."'"),0)!=0)
{
$mailid = intval($_GET['mail']);
$mail = mysql_fetch_assoc(mysql_query("SELECT * FROM `ls_mails` WHERE `id` = '$mailid' LIMIT 1"));

if (isset($_GET['change']))
{

$set['title']='Почтовый шпион - '.$mail['title'].' - изменение сообщения';
include_once '../sys/inc/thead.php';
title();

if (isset($_POST['title']) && isset($_POST['msg']))
{
$title = $_POST['title'];
$msg = $_POST['msg'];

if (strlen2($title)>32)$err[] = 'Длинная тема письма';
if (strlen2($msg)>1024)$err[]='Длинное сообщение';

if (!isset($err))
{
$title = my_esc($title);
$msg = my_esc($msg);

mysql_query("update `ls_mails` set `title` = '$title', `msg` = '$msg' where `id` = '$mail[id] limit 1'");
$mail['title'] = $title;
$mail['msg'] = $msg;
msg('Сообщение успешно изменено');
}
}

err();


echo '<form method="post" action="mailspy.php?mail='.$mail['id'].'&amp;change">';

echo 'Тема:<br/><input type="text" name="title" value="'.$mail['title'].'"/><br/>';

echo 'Сообщение:<br/><textarea name="msg">'.$mail['msg'].'</textarea><br/>';

echo '<input type="submit" value="Изменить"/><br/>';


echo '<div class="foot">';
echo '&laquo; <a href="mailspy.php?">К списку сообщений</a>';
echo '</div>';

}
elseif (isset($_GET['del']))
{

$set['title']='Почтовый шпион - '.$mail['title'].' - удаление сообщения';
include_once '../sys/inc/thead.php';
title();

if (isset($_GET['yes']))
{
mysql_query("delete from `ls_mails` where `id` = '$mail[id]' limit 1");
msg('Сообщение успешно удалено');

echo '<div class="foot">';
echo '&laquo; <a href="mailspy.php?">К списку сообщений</a>';
echo '</div>';
}
else
{
echo 'Вы действительно желаете удалить это сообщение? Удаление необратимо!<br/><a href="mailspy.php?mail='.$mail['id'].'&amp;del&amp;yes">Да</a> | <a href="mailspy.php?">Нет</a><br/>';
}

}

}
else
{
$set['title']='Почтовый шпион';
include_once '../sys/inc/thead.php';
title();


err();
$k_mail = mysql_result(mysql_query("SELECT COUNT(*) FROM `ls_mails`"),0);
$k_page = k_page($k_mail, $set['p_str']);
$page = page($k_page);
$start = $page*$set['p_str']-$set['p_str'];


echo '<table class="post">';

if ($k_mail == 0)
{

echo '<tr><td class="p_t">';
echo 'Сообщений нет';
echo '</td></tr>';

}
else
{

$q = mysql_query("SELECT * FROM `ls_mails` ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while($post = mysql_fetch_assoc($q))
{
$ank1 = get_user($post['uidRecipient']);
if ($post['uidSender']!=0)$ank2 = get_user($post['uidSender']);
else 
{$ank2=array();
$ank2['id']=0;}

echo '<tr>';
echo '<td class="icon14">';
echo '<img src="/style/'.(is_file(H.'/style/themes/'.$set['set_them'].'/icons/mess0.png')?'themes/'.$set['set_them']:null).'/icons/mess'.($post['read']=='0'?'_fav':'0').'.png"/>';
echo '</td>';

echo '<td class="p_t">';
echo ($ank2['id']!=0?'<a href="mailspy.php?user='.$ank2['id'].'">'.$ank2['nick'].'</a>':$post['nameSystem']).' &raquo; <a href="mailspy.php?user='.$ank1['id'].'">'.$ank1['nick'].'</a> ['.vremja($post['time']).']';
if ($post['read']==0)echo ' [не прочитано]';
else echo ' [прочитано - '.vremja($post['time_read']).']';
echo '</td></tr>';

echo '<tr>';
echo '<td class="p_m" colspan="2">';
echo output_text($post['msg']);
if ($post['read']==0)
{
echo '<br/>-----<br/>';
echo '<a href="mailspy.php?mail='.$post['id'].'&amp;change">Изменить</a>|<a href="mailspy.php?mail='.$post['id'].'&amp;del">Удалить</a>';
}

echo '</td></tr>';

}

}

echo '</table>';

if ($k_page>1)str('mailspy.php?', $k_page, $page);


echo '<div class="foot">';
echo '&laquo; <a href="index.php">Админка</a>';
echo '</div>';

}


include_once '../sys/inc/tfoot.php';
?>
